<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->

<div class="row flex-row-reverse">
	<div class="col" data-test="content">
		<ng-container *ngIf="passwords.size < boardMembers.length; else successMessage">
			<ng-content></ng-content>
		</ng-container>

		<ng-template #successMessage>
			<div class="card mb-3">
				<div class="card-header">
					{{ 'passwords.boardMembers.allPasswordsSetTitle' | translate }}
				</div>
				<div class="card-body d-flex align-items-center justify-content-start">
					<i class="bi bi-check-circle text-success fs-1 me-2"></i>
					<p role="alert">{{ 'passwords.boardMembers.allPasswordsSet' | translate }}</p>
				</div>
			</div>
		</ng-template>
	</div>
	<div class="col-3">
		<ng-template #memberName let-indicator="indicator" let-member="member">
			<li
					*ngIf="member !== activeMember"
					class="rounded-0 border-0 px-4 py-2 mb-2"
					data-test="member"
			>
				<i [ngClass]="indicator" class="bi me-2"></i>
				<span>{{ member.name }}</span>
			</li>
		</ng-template>

		<ul [attr.aria-label]="'passwords.boardMembers' | translate"
			class="list-group"
			data-test="boardMembers"
			*ngIf="boardMembers.length !== 0">

			<div *ngFor="let member of boardMembers; index as i"
				 aria-live="polite"
				 class="px-2 py-2 h-100 d-flex align-items-center mt-1 rounded border"
				 [class.border-black]="member === activeMember">
				<i *ngIf="member === activeMember" class="bi text-primary me-2 bi-circle-fill"></i>
				<i *ngIf="member !== activeMember && !this.passwords.has(member.id)" class="bi text-primary me-2 bi-circle"></i>
				<i *ngIf="member !== activeMember && this.passwords.has(member.id)" class="vi text-primary me-2 bi-check-circle "></i>
				<p aria-hidden="true">{{ member.name }}</p>
			</div>
		</ul>

		<p class="pb-2 mt-2 text-muted">
			<span aria-hidden="true">
				{{ 'passwords.boardMembers.password' | translate }} {{ membersWithPassword.length }}/{{ boardMembers.length }}
			</span>
		</p>
	</div>
</div>
